#! /bin/sh

OS_BITS=$(getconf LONG_BIT)
INSTALLER_I386="installer_i386"
INSTALLER_X86_64="installer_x86_64"

cd "$(dirname "$0")"

DIR=`pwd`/lib
if [ $OS_BITS = 32 ]
   then
	echo "32bit system"
        cd i386
        sudo LD_LIBRARY_PATH="$DIR" ./$INSTALLER_I386  
   else
        echo "64bit system"
        cd x86_64
        sudo LD_LIBRARY_PATH="$DIR" ./$INSTALLER_X86_64 
fi
